# NOTE: there are also TTF fonts in tarball
%define		version_upright		2.042
%define		version_italic		1.062
%define		version_variable	1.026

Summary:	Adobe Source Code Pro - A set of OpenType fonts for coders
Summary(pl.UTF-8):	Adobe Source Code Pro - zbiór fontów OpenType dla programistów
Name:		fonts-OTF-Adobe-SourceCodePro
Version:	%{version_upright}.%{version_italic}
Release:	1
License:	OFL v1.1
Group:		Fonts
Source0:	https://github.com/adobe-fonts/source-code-pro/archive/%{version_upright}R-u%2f%{version_italic}R-i%2f%{version_variable}R-vf.tar.gz?/SourceCodePro-%{version_upright}R-u-%{version_italic}R-i-%{version_variable}R-vf.tar.gz
# Source0-md5:	91fcd818b22d26b4401058f3c4244936
Source1:	%{name}-fontconfig.conf
URL:		http://adobe-fonts.github.io/source-code-pro/
Requires(post,postun):	fontpostinst
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define         otffontsdir     %{_fontsdir}/OTF

%description
Source Sans is a set of monospaced OpenType fonts that have been
designed to work well coding environments.

%description -l pl.UTF-8
Source Sans to zbiór fontów OpenType o stałej szerokości znaku,
zaprojektowany z myślą o środowiskach programistycznych.

%prep
%setup -q -n source-code-pro-%{version_upright}R-u-%{version_italic}R-i-%{version_variable}R-vf

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{otffontsdir},%{_datadir}/fontconfig/conf.avail,%{_sysconfdir}/fonts/conf.d}

install -p OTF/*.otf $RPM_BUILD_ROOT%{otffontsdir}
install -p %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/fontconfig/conf.avail/%{name}.conf
ln -s %{_datadir}/fontconfig/conf.avail/%{name}.conf $RPM_BUILD_ROOT%{_sysconfdir}/fonts/conf.d/

%clean
rm -rf $RPM_BUILD_ROOT

%post
fontpostinst OTF

%postun
fontpostinst OTF

%files
%defattr(644,root,root,755)
%doc LICENSE.md README.md
%{otffontsdir}/SourceCodePro-*.otf
%{_sysconfdir}/fonts/conf.d/%{name}.conf
%{_datadir}/fontconfig/conf.avail/%{name}.conf
%changelog
* Mon Dec 18 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/fonts-OTF-Adobe-SourceCodePro.git;a=log;h=master

* Mon Dec 18 2023 Jan Palus <atler@pld-linux.org> f7718b6
- up to 2.042.1.062

* Mon Dec 18 2023 Jan Palus <atler@pld-linux.org> 0706441
- not in zip format since 2014

* Mon Oct 19 2020 Jan Palus <atler@pld-linux.org> 3f2448f
- try to please distfiles by providing filename without uri escape code

* Sun Oct 18 2020 Jan Palus <atler@pld-linux.org> 575e18d
- up to 2.030.1.050

* Fri Nov 14 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> ee83cb5
- new urls

* Sun Mar 31 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> d63f607
- up to 1.017

* Sun Dec 09 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> e82e735
- up to 1.013

* Sat Oct 13 2012 Jakub Bogusz <qboosh@pld-linux.org> 46a14f3
- pl
- package docs

* Fri Oct 12 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 944f7c9
- up to 1.010

* Sun Oct 07 2012 Elan Ruusamäe <glen@delfi.ee> 88e04c4
- release 2 (by relup.sh)

* Wed Sep 26 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 8283d6d
- new from adobe

